Bug 1195216 - Too wide macron for Liberation Sans Narrow fonts
Summary: Too wide macron for Liberation Sans Narrow fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 12:00 UTC by Zirneklitis
Modified: 2019-09-12 21:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-15 00:02:05 UTC


Attachments (Terms of Use)
Too wide macron (23.39 KB, image/png)
2015-02-23 12:00 UTC, Zirneklitis
no flags Details
Acceptable macron (23.24 KB, image/png)
2015-02-23 12:01 UTC, Zirneklitis
no flags Details
This patch corrects macron problem. (7.81 KB, patch)
2015-02-23 12:02 UTC, Zirneklitis
no flags Details | Diff

Description Zirneklitis 2015-02-23 12:00:22 UTC
Created attachment 994356 [details]
Too wide macron

Description of problem:

The macron (uni02C9) symbol in  Liberation Sans Narrow fonts is too wide.


Version-Release number of selected component (if applicable):

1.07.4.


How reproducible:

100%


Steps to Reproduce:

Look at following letters with Liberation Sans Narrow fonts:
āēīōūĀĒĪŌŪ


Actual results:

See attached image Liberation_Sans_Narrow-old.png.


Expected results:

See attached image Liberation_Sans_Narrow-new.png.

Additional info:

A suggested path will be attached.

Comment 1 Zirneklitis 2015-02-23 12:01:08 UTC
Created attachment 994357 [details]
Acceptable macron

Comment 2 Zirneklitis 2015-02-23 12:02:37 UTC
Created attachment 994358 [details]
This patch corrects macron problem.

Comment 3 Pravin Satpute 2015-02-24 04:39:24 UTC
Thanks for patch.
I am soon planning to work on liberation fonts. Will do an upstream release and update in F22.

Comment 4 Fedora End Of Life 2015-05-29 13:42:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-30 01:16:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Zirneklitis 2015-06-30 07:54:16 UTC
This bug should be reopen, as it is in any of the following packages:

liberation-narrow-fonts-1.07.4-4.fc22
liberation-narrow-fonts-1.07.4-5.fc23

Comment 7 Fedora End Of Life 2016-07-19 12:51:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Fedora End Of Life 2017-07-25 18:50:19 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Zirneklitis 2017-08-07 04:20:28 UTC
The packages

liberation-narrow-fonts-1.07.4-7.fc24.noarch.rpm (used by Fedora 25)
liberation-narrow-fonts-1.07.4-8.fc26.noarch.rpm
liberation-narrow-fonts-1.07.4-9.fc27.noarch.rpm

are wit the same bug.

Comment 10 Jan Kurik 2017-08-15 09:17:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 11 Fedora Update System 2019-04-09 12:18:12 UTC
liberation-narrow-fonts-1.07.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-12e523075f

Comment 12 Fedora Update System 2019-04-09 12:18:19 UTC
liberation-narrow-fonts-1.07.6-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbff9b6cfb

Comment 13 Fedora Update System 2019-04-10 07:09:39 UTC
liberation-narrow-fonts-1.07.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-12e523075f

Comment 14 Fedora Update System 2019-04-10 14:37:42 UTC
liberation-narrow-fonts-1.07.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbff9b6cfb

Comment 15 Fedora Update System 2019-04-15 00:02:05 UTC
liberation-narrow-fonts-1.07.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-05 08:41:37 UTC
FEDORA-2019-2b29cee6f9 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b29cee6f9

Comment 17 Fedora Update System 2019-09-05 13:06:38 UTC
liberation-narrow-fonts-1.07.6-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b29cee6f9

Comment 18 Fedora Update System 2019-09-12 21:34:25 UTC
liberation-narrow-fonts-1.07.6-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.